Summary:       Tools to support ATM networking under Linux
Name:          linux-atm
Version:       2.5.2
Release:       3%{?dist}
License:       BSD and GPLv2 and GPLv2+ and LGPLv2+ and MIT
URL:           http://linux-atm.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires: automake byacc flex
BuildRequires: flex-static glibc-kernheaders >= 2.4-9.1.88
BuildRequires: libtool make

Requires:      %{name}-libs = %{version}-%{release}

Patch3000:     linux-atm-2.5.0-open-macro.patch
Patch3001:     linux-atm-2.5.0-disable-ilmidiag.patch
Patch3002:     linux-atm-gcc43.patch
Patch3003:     man-pages.patch
Patch3004:     add-string-formatting-to-build-with-gcc7.patch
Patch3005:     remove-define-hacks.patch
Patch3006:     siocgstamp.patch
Patch3007:     linux-atm-2.5.1-disable-zntune.patch

%description
Tools to support ATM networking under Linux.

%package libs
Summary:       Linux ATM API library
License:       LGPLv2+

%description libs
This package contains the ATM library required for user space ATM tools.

%package libs-devel
Summary:       Development files for Linux ATM API library
Requires:      linux-atm-libs = %{version}-%{release}
Requires:      glibc-kernheaders >= 2.4-9.1.88

%description libs-devel
This package contains header files and libraries for development using the
Linux ATM API.

%prep
%autosetup -p1

iconv -f iso8859-1 -t utf8 < src/extra/ANS/e164_cc > src/extra/ANS/e164_cc.1
mv src/extra/ANS/e164_cc.1 src/extra/ANS/e164_cc
iconv -f iso8859-1 -t utf8 < doc/atm-linux-howto.txt > doc/atm-linux-howto.txt.1
mv doc/atm-linux-howto.txt.1 doc/atm-linux-howto.txt

%build
libtoolize --force --copy
aclocal --verbose
autoconf
autoheader
automake --force-missing --add-missing --copy --verbose
CFLAGS="%optflags -D_LINUX_TIME_H"
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/libatm.{a,la}
install -m 0644 src/config/hosts.atm $RPM_BUILD_ROOT/etc/
mkdir _doc
cp -a doc/ src/config/init-redhat/ src/extra/ANS/ _doc/
rm -f _doc/Makefile* _doc/*/Makefile* _doc/doc/*.sgml
chmod 0644 src/extra/ANS/{atm,pdf2e164_cc.pl,hosts2ans.pl}
chmod 0644 _doc/{ANS/pdf2e164_cc.pl,ANS/hosts2ans.pl,init-redhat/atm,doc/atm-linux-howto.txt}
rm -rf _doc/ANS
rm -rf _doc/doc/{.cvsignore,CVS}
rm -rf _doc/init-redhat/{CVS,.cvsignore}

%files
%license COPYING*
%doc AUTHORS BUGS ChangeLog NEWS README THANKS _doc/*
%config(noreplace) /etc/atmsigd.conf
%config(noreplace) /etc/hosts.atm
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man4/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files libs
%license COPYING.LGPL
%{_libdir}/libatm.so.*
/lib/firmware/*

%files libs-devel
%{_includedir}/*
%{_libdir}/libatm.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.2-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.5.2-1
- Upgrade to version 2.5.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.5.1-1
- package init.
